Subject: bug#32142: WG: 26.1; Problems with flyspell-region

From: "R. Diez" <[email-masked]>
Date: Fri, 13 Jul 2018 20:22:59 +0000 (UTC)

> That description is inaccurate.  The misspelled words _are_
> highlighted, but then the highlight is removed when
> cursor moves to the next word, per the intended effect of
> flyspell-persistent-highlight being nil.
Once more, that is only the case if flyspell-mode is on. If flyspell-mode is off, and flyspell-persistent-highlight is also off, CPU usage goes up for a short time, and nothing gets marked. That is weird.

> We don't have a spell-checking feature that watches correction of
> misspelled words without turning on flyspell-mode.

OK, I gather from your comments that flyspell-region is designed to work with flyspell-mode turned on. And that you are unable or unwilling to change that. That limitation is not obvious. In fact, I would argue that users would expect exactly the opposite from flyspell-region.

I request that flyspell-region documents this fact, and/or checks whether flyspell-mode is off and/or flyspell-persistent-highlight is off.

That would make it clear where the limitations of Flyspell are, and avoid wasting time when it does not work as one probably expects. Because, as I mentioned, 
flyspell-region actually makes little sense if you need to have flyspell-mode turned on.

ispell-region seems to be no good substitute for what flyspell-region should actually do. After running ispell-region, you cannot move the cursor freely around and comfortably correct words. It is very awkward to use.